:root {
    --softBlue: hsl(215, 51%, 70%);
    --cyan: hsl(178, 100%, 50%);
    --veryDarkBlueMain: hsl(217, 54%, 11%);
    --veryDarkBlueCard: hsl(216, 50%, 16%);
    --veryDarkBLueLine: hsl(215, 32%, 27%);
    --white: hsl(0, 0%, 100%);
}

@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@300;400;600&display=swap');

* {
    margin: 0;
    border: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: var(--veryDarkBlueMain);
    color: var(--softBlue);
    font-family: 'Outfit', sans-serif;
}

#app {
    height: 667px;
    display: grid;
    place-items: center;
}

.card {
    height: 542.5px;
    width: 326px;
    border-radius: 15px;
    background: var(--veryDarkBlueCard);
    padding: 24px 23px 10px;
}

.image {
    border-radius: 8px;
    background-image: url("./assets/image-equilibrium.jpg");
    background-size: cover;
    display: grid;
    place-items: center;
}

.image-hover {
    border-radius: 8px;
    position: relative;
    top: -278px;
    opacity: 0;
    object-fit: none;
    background: hsl(178, 100%, 50%, .5);
    transition: 400ms;
}

.image-hover:hover {
    opacity: 1;
    transition: 400ms;
}

.card h2,
.name {
    color: var(--white);
    transition: 400ms;
}

.card h2:hover,
.name:hover {
    color: var(--cyan);
    transition: 400ms;
}

.card h2 {
    margin-top: -257px;
    font-size: 19.4px;
    font-weight: 600;
    font-stretch: extra-condensed;
}

.para {
    margin-top: 14px;
    font-size: 14px;
    line-height: 27px;
}

.details {
    margin-top: 15px;
    padding-bottom: 16px;
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid var(--veryDarkBLueLine);
}

.details span {
    display: flex;
    justify-self: center;
    align-items: center;
}

.eth {
    color: var(--cyan);
    font-weight: 600;
    font-size: 12.4px;
}

.days {
    font-size: 13.5px;
}

.days img {
    position: relative;
    top: -1px;
}

.eth img,
.days img {
    margin-right: 7px;
}

.creator {
    margin-top: 15.5px;
    display: flex;
    align-items: center;
    letter-spacing: 0;
    font-size: 13.75px;
}

.creator img {
    margin-right: 16.5px;
    border: 1.75px solid var(--white);
    border-radius: 50%;
}

.attribution {
    width: 100vw;
    font-size: 15px;
    text-align: center;
    position: absolute;
    bottom: -105px;
    left: 0;
}

.attribution a {
    color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 376px) {
    #app {
        height: 900px;
    }

    .card {
        height: 596px;
        width: 350px;
        padding: 24px 23.5px 10px;
    }

    .image,
    .image-hover {
        height: 302px;
        width: 302px;
    }

    .image-hover {
        top: -302px;
    }

    .card h2 {
        margin-top: -281px;
    }

    .para {
        margin-top: 18px;
        font-size: 15.8px;
    }

    .details {
        margin-top: 23px;
        padding-bottom: 25px;
    }

    .eth {
        font-size: 13.2px;
    }

    .days {
        font-size: 14.4px;
    }

    .days img {
        top: 0;
    }

    .creator {
        font-size: 14.7px;
    }

    .attribution {
        bottom: -330px;
    }
}